aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/ex.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/ex.bash')
-rw-r--r--bash/bash_completion.d/ex.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bash_completion.d/ex.bash b/bash/bash_completion.d/ex.bash
index 6805b8b1..00875df5 100644
--- a/bash/bash_completion.d/ex.bash
+++ b/bash/bash_completion.d/ex.bash
@@ -1,4 +1,5 @@
# Completion for ex(1) with files that look editable
-declare -F _text_filenames >/dev/null ||
+if ! declare -F _text_filenames >/dev/null ; then
source "$HOME"/.bash_completion.d/_text_filenames.bash
+fi
complete -F _text_filenames -o filenames ex